> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Investor Board Seats

GET https://api.filesearch.dev/v2/datasets/odyssey/investors/{id}/board-seats

Get board seats held by an investor's representatives.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/investors/investors-board-seats

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Successful Response

- `investor_id` (string, required)
- `board_seats` (list of BoardSeat, optional)
- `investor_name` (string, optional, nullable)
- `total_seats` (integer, optional, default: 0)

## Types

### BoardSeat

Board seat information

- `company_name` (string, required)
- `company_id` (string, optional, nullable)
- `end_date` (string, optional, nullable)
- `person_id` (string, optional, nullable)
- `person_name` (string, optional, nullable)
- `role` (string, optional, nullable)
- `start_date` (string, optional, nullable)

## Examples

**Response**

```json
{
  "investor_id": "sequoia capital",
  "board_seats": [
    {
      "company_name": "Sequoia Capital - LinkedIn",
      "company_id": null,
      "end_date": null,
      "person_id": null,
      "person_name": null,
      "role": "Board Member",
      "start_date": null
    },
    {
      "company_name": "Our Team | Sequoia Capital",
      "company_id": null,
      "end_date": null,
      "person_id": null,
      "person_name": null,
      "role": "Board Member",
      "start_date": null
    }
  ],
  "investor_name": "Sequoia Capital",
  "total_seats": 10
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/investors/sequoia%20capital/board-seats",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/investors/sequoia%20capital/board-seats`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```